%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate phf

Name:           rust-phf0.8
Version:        0.8.0
Release:    2%{?dist}
Summary:        Runtime support for perfect hash function data structures

License:        MIT
URL:            https://crates.io/crates/phf
Source0:        %{crates_source}
Source1:        https://github.com/rust-phf/rust-phf/raw/v%{version}/LICENSE

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Runtime support for perfect hash function data structures.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+phf_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+phf_macros-devel %{_description}

This package contains library source intended for building other packages which
use the "phf_macros" feature of the "%{crate}" crate.

%files       -n %{name}+phf_macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proc-macro-hack-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proc-macro-hack-devel %{_description}

This package contains library source intended for building other packages which
use the "proc-macro-hack" feature of the "%{crate}" crate.

%files       -n %{name}+proc-macro-hack-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicase-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicase-devel %{_description}

This package contains library source intended for building other packages which
use the "unicase" feature of the "%{crate}" crate.

%files       -n %{name}+unicase-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires -a

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.0-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-1
- initial build
